/*
 * manager-routes.h
 * This file is part of Network-inador
 *
 * Copyright (C) 2025 - Félix Arreola Rodríguez
 *
 * Network-inador is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Network-inador is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Network-inador; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 */

#ifndef __MANAGER_ROUTES_H__
#define __MANAGER_ROUTES_H__

#include <stdint.h>
#include <stdlib.h>
#include <string.h>

#include "manager-private.h"
#include "network-inador-public.h"
#include "network-inador-manager.h"

void _manager_route_handle_list_routes (ManagerClientInfo *manager_client, unsigned char *buffer, int buffer_len);
void _manager_route_handle_add_route (ManagerClientInfo *manager_client, unsigned char *buffer, int buffer_len);
void _manager_route_handle_del_route (ManagerClientInfo *manager_client, unsigned char *buffer, int buffer_len);

void _manager_route_added_event_cb (NetworkInadorHandle *handle, Route *route, void *data);
void _manager_route_updated_event_cb (NetworkInadorHandle *handle, Route *route, void *data);
void _manager_route_deleted_event_cb (NetworkInadorHandle *handle, Route *route, void *data);

#endif /* __MANAGER_ROUTES_H__ */

